POLYTYPE_PTEX(3)

NAME
POLYTYPE_PTEX - Polygon rendering mode type Allegro game programming library.

SYNOPSIS
#include <allegro.h>

#define POLYTYPE_PTEX

DESCRIPTION
A perspective-correct texture mapped polygon. This uses the `z' value from the vertex structure as well as the u/v coordinates, so textures are displayed correctly regardless of the angle they are viewed from. Because it involves division calculations in the inner texture mapping loop, this mode is a lot slower than POLYTYPE_ATEX, and it uses floating point so it will be very slow on anything less than a Pentium (even with an FPU, a 486 can't overlap floating point division with other integer operations like the Pentium can).

SEE ALSO
polygon3d(3), POLYTYPE_ATEX(3), ex3d(3)